Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistry.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistry.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/document/JsonDocumentFormatRegistry.java	(revision 2406)
@@ -23,51 +23,52 @@
 import org.json.JSONObject;
 
 public class JsonDocumentFormatRegistry extends SimpleDocumentFormatRegistry {
-
-    public JsonDocumentFormatRegistry(InputStream input) throws JSONException, IOException {
-        readJsonArray(IOUtils.toString(input));
-    }
-
-    public JsonDocumentFormatRegistry(String source) throws JSONException {
-        readJsonArray(source);
-    }
-
-    private void readJsonArray(String source) throws JSONException {
-        JSONArray array = new JSONArray(source);
-        for (int i = 0; i < array.length(); i++) {
-            JSONObject jsonFormat = array.getJSONObject(i);
-            DocumentFormat format = new DocumentFormat();
-            format.setName(jsonFormat.getString("name"));
-            format.setExtension(jsonFormat.getString("extension"));
-            format.setMediaType(jsonFormat.getString("mediaType"));
-            if (jsonFormat.has("inputFamily")) {
-                format.setInputFamily(DocumentFamily.valueOf(jsonFormat.getString("inputFamily")));
-            }
-            if (jsonFormat.has("loadProperties")) {
-                format.setLoadProperties(toJavaMap(jsonFormat.getJSONObject("loadProperties")));
-            }
-            if (jsonFormat.has("storePropertiesByFamily")) {
-                JSONObject jsonStorePropertiesByFamily = jsonFormat.getJSONObject("storePropertiesByFamily");
-                for (String key : JSONObject.getNames(jsonStorePropertiesByFamily)) {
-                    Map<String,?> storeProperties = toJavaMap(jsonStorePropertiesByFamily.getJSONObject(key));
-                    format.setStoreProperties(DocumentFamily.valueOf(key), storeProperties);
-                }
-            }
-            addFormat(format);
-        }
-    }
-
-    private Map<String,?> toJavaMap(JSONObject jsonMap) throws JSONException {
-        Map<String,Object> map = new HashMap<String,Object>();
-        for (String key : JSONObject.getNames(jsonMap)) {
-            Object value = jsonMap.get(key);
-            if (value instanceof JSONObject) {
-                map.put(key, toJavaMap((JSONObject) value));
-            } else {
-                map.put(key, value);
-            }
-        }
-        return map;
-    }
-
+	
+	public JsonDocumentFormatRegistry(InputStream input) throws JSONException, IOException {
+		readJsonArray(IOUtils.toString(input));
+	}
+	
+	public JsonDocumentFormatRegistry(String source) throws JSONException {
+		readJsonArray(source);
+	}
+	
+	private void readJsonArray(String source) throws JSONException {
+		JSONArray array = new JSONArray(source);
+		for (int i = 0; i < array.length(); i++) {
+			JSONObject jsonFormat = array.getJSONObject(i);
+			DocumentFormat format = new DocumentFormat();
+			format.setName(jsonFormat.getString("name"));
+			format.setExtension(jsonFormat.getString("extension"));
+			format.setMediaType(jsonFormat.getString("mediaType"));
+			if (jsonFormat.has("inputFamily")) {
+				format.setInputFamily(DocumentFamily.valueOf(jsonFormat.getString("inputFamily")));
+			}
+			if (jsonFormat.has("loadProperties")) {
+				format.setLoadProperties(toJavaMap(jsonFormat.getJSONObject("loadProperties")));
+			}
+			if (jsonFormat.has("storePropertiesByFamily")) {
+				JSONObject jsonStorePropertiesByFamily = jsonFormat.getJSONObject("storePropertiesByFamily");
+				for (String key : JSONObject.getNames(jsonStorePropertiesByFamily)) {
+					Map<String, ?> storeProperties = toJavaMap(jsonStorePropertiesByFamily.getJSONObject(key));
+					format.setStoreProperties(DocumentFamily.valueOf(key), storeProperties);
+				}
+			}
+			addFormat(format);
+		}
+	}
+	
+	private Map<String, ?> toJavaMap(JSONObject jsonMap) throws JSONException {
+		Map<String, Object> map = new HashMap<String, Object>();
+		for (String key : JSONObject.getNames(jsonMap)) {
+			Object value = jsonMap.get(key);
+			if (value instanceof JSONObject) {
+				map.put(key, toJavaMap((JSONObject) value));
+			}
+			else {
+				map.put(key, value);
+			}
+		}
+		return map;
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/SigarProcessManager.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/SigarProcessManager.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/SigarProcessManager.java	(revision 2406)
@@ -29,43 +29,47 @@
  * for documentation and downloads.
  */
 public class SigarProcessManager implements ProcessManager {
-
-    public long findPid(ProcessQuery query) throws IOException {
-        Sigar sigar = new Sigar();
-        try {
-            long[] pids = ProcessFinder.find(sigar, "State.Name.eq=" + query.getCommand());
-            for (int i = 0; i < pids.length; i++) {
-                String[] arguments = sigar.getProcArgs(pids[i]);
-                if (arguments != null && argumentMatches(arguments, query.getArgument())) {
-                    return pids[i];
-                }
-            }
-            return PID_NOT_FOUND;
-        } catch (SigarException sigarException) {
-            throw new IOException("findPid failed", sigarException);
-        } finally {
-            sigar.close();
-        }
-    }
-
-    public void kill(Process process, long pid) throws IOException {
-        Sigar sigar = new Sigar();
-        try {
-            sigar.kill(pid, Sigar.getSigNum("KILL"));
-        } catch (SigarException sigarException) {
-            throw new IOException("kill failed", sigarException);
-        } finally {
-            sigar.close();
-        }
-    }
-
-    private boolean argumentMatches(String[] arguments, String expected) {
-        for (String argument : arguments) {
-            if (argument.contains(expected)) {
-                return true;
-            }
-        }
-        return false;
-    }
-
+	
+	public long findPid(ProcessQuery query) throws IOException {
+		Sigar sigar = new Sigar();
+		try {
+			long[] pids = ProcessFinder.find(sigar, "State.Name.eq=" + query.getCommand());
+			for (int i = 0; i < pids.length; i++) {
+				String[] arguments = sigar.getProcArgs(pids[i]);
+				if (arguments != null && argumentMatches(arguments, query.getArgument())) {
+					return pids[i];
+				}
+			}
+			return PID_NOT_FOUND;
+		}
+		catch (SigarException sigarException) {
+			throw new IOException("findPid failed", sigarException);
+		}
+		finally {
+			sigar.close();
+		}
+	}
+	
+	public void kill(Process process, long pid) throws IOException {
+		Sigar sigar = new Sigar();
+		try {
+			sigar.kill(pid, Sigar.getSigNum("KILL"));
+		}
+		catch (SigarException sigarException) {
+			throw new IOException("kill failed", sigarException);
+		}
+		finally {
+			sigar.close();
+		}
+	}
+	
+	private boolean argumentMatches(String[] arguments, String expected) {
+		for (String argument : arguments) {
+			if (argument.contains(expected)) {
+				return true;
+			}
+		}
+		return false;
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/LinuxProcessManager.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/LinuxProcessManager.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/process/LinuxProcessManager.java	(revision 2406)
@@ -28,55 +28,56 @@
  * {@link #findPid(String)}.
  */
 public class LinuxProcessManager implements ProcessManager {
-
-    private static final Pattern PS_OUTPUT_LINE = Pattern.compile("^\\s*(\\d+)\\s+(.*)$"); 
-
-    private String[] runAsArgs;
-
-    public void setRunAsArgs(String... runAsArgs) {
+	
+	private static final Pattern PS_OUTPUT_LINE = Pattern.compile("^\\s*(\\d+)\\s+(.*)$");
+	
+	private String[] runAsArgs;
+	
+	public void setRunAsArgs(String... runAsArgs) {
 		this.runAsArgs = runAsArgs;
 	}
-
-    protected String[] psCommand() {
-        return new String[] { "/bin/ps", "-e", "-o", "pid,args" };
-    }
-
-    public long findPid(ProcessQuery query) throws IOException {
-        String regex = Pattern.quote(query.getCommand()) + ".*" + Pattern.quote(query.getArgument());
-        Pattern commandPattern = Pattern.compile(regex);
-        for (String line : execute(psCommand())) {
-            Matcher lineMatcher = PS_OUTPUT_LINE.matcher(line);
-            if (lineMatcher.matches()) {
-                String command = lineMatcher.group(2);
-                Matcher commandMatcher = commandPattern.matcher(command);
-                if (commandMatcher.find()) {
-                    return Long.parseLong(lineMatcher.group(1));
-                }
-            }
-        }
-        return PID_NOT_FOUND;
-    }
-
-    public void kill(Process process, long pid) throws IOException {
-    	if (pid <= 0) {
-    		throw new IllegalArgumentException("invalid pid: " + pid);
-    	}
-        execute("/bin/kill", "-KILL", Long.toString(pid));
-    }
-
-    private List<String> execute(String... args) throws IOException {
-    	String[] command;
-    	if (runAsArgs != null) {
-    		command = new String[runAsArgs.length + args.length];
-    		System.arraycopy(runAsArgs, 0, command, 0, runAsArgs.length);
-    		System.arraycopy(args, 0, command, runAsArgs.length, args.length);
-    	} else {
-    		command = args;
-    	}
-        Process process = new ProcessBuilder(command).start();
-        @SuppressWarnings("unchecked")
-        List<String> lines = IOUtils.readLines(process.getInputStream());
-        return lines;
-    }
-
+	
+	protected String[] psCommand() {
+		return new String[] { "/bin/ps", "-e", "-o", "pid,args" };
+	}
+	
+	public long findPid(ProcessQuery query) throws IOException {
+		String regex = Pattern.quote(query.getCommand()) + ".*" + Pattern.quote(query.getArgument());
+		Pattern commandPattern = Pattern.compile(regex);
+		for (String line : execute(psCommand())) {
+			Matcher lineMatcher = PS_OUTPUT_LINE.matcher(line);
+			if (lineMatcher.matches()) {
+				String command = lineMatcher.group(2);
+				Matcher commandMatcher = commandPattern.matcher(command);
+				if (commandMatcher.find()) {
+					return Long.parseLong(lineMatcher.group(1));
+				}
+			}
+		}
+		return PID_NOT_FOUND;
+	}
+	
+	public void kill(Process process, long pid) throws IOException {
+		if (pid <= 0) {
+			throw new IllegalArgumentException("invalid pid: " + pid);
+		}
+		execute("/bin/kill", "-KILL", Long.toString(pid));
+	}
+	
+	private List<String> execute(String... args) throws IOException {
+		String[] command;
+		if (runAsArgs != null) {
+			command = new String[runAsArgs.length + args.length];
+			System.arraycopy(runAsArgs, 0, command, 0, runAsArgs.length);
+			System.arraycopy(args, 0, command, runAsArgs.length, args.length);
+		}
+		else {
+			command = args;
+		}
+		Process process = new ProcessBuilder(command).start();
+		@SuppressWarnings("unchecked")
+		List<String> lines = IOUtils.readLines(process.getInputStream());
+		return lines;
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java	(revision 2406)
@@ -36,91 +36,101 @@
  * Command line interface executable.
  */
 public class Convert {
-
-    public static final int STATUS_OK = 0;
-    public static final int STATUS_MISSING_INPUT_FILE = 1;
-    public static final int STATUS_INVALID_ARGUMENTS = 255;
-
-    private static final Option OPTION_OUTPUT_FORMAT = new Option("o", "output-format", true, "output format (e.g. pdf)");
-    private static final Option OPTION_PORT = new Option("p", "port", true, "office socket port (optional; defaults to 2002)");
-    private static final Option OPTION_REGISTRY = new Option("r", "registry", true, "document formats registry configuration file (optional)");
-    private static final Option OPTION_TIMEOUT = new Option("t", "timeout", true, "maximum conversion time in seconds (optional; defaults to 120)");
-    private static final Option OPTION_USER_PROFILE = new Option("u", "user-profile", true, "use settings from the given user installation dir (optional)");
-    private static final Options OPTIONS = initOptions();
-
-    private static final int DEFAULT_OFFICE_PORT = 2002;
-
-    private static Options initOptions() {
-        Options options = new Options();
-        options.addOption(OPTION_OUTPUT_FORMAT);
-        options.addOption(OPTION_PORT);
-        options.addOption(OPTION_REGISTRY);
-        options.addOption(OPTION_TIMEOUT);
-        options.addOption(OPTION_USER_PROFILE);
-        return options;
-    }
-
-    public static void main(String[] arguments) throws ParseException, JSONException, IOException {
-        CommandLineParser commandLineParser = new PosixParser();
-        CommandLine commandLine = commandLineParser.parse(OPTIONS, arguments);
-
-        String outputFormat = null;
-        if (commandLine.hasOption(OPTION_OUTPUT_FORMAT.getOpt())) {
-            outputFormat = commandLine.getOptionValue(OPTION_OUTPUT_FORMAT.getOpt());
-        }
-
-        int port = DEFAULT_OFFICE_PORT;
-        if (commandLine.hasOption(OPTION_PORT.getOpt())) {
-            port = Integer.parseInt(commandLine.getOptionValue(OPTION_PORT.getOpt()));
-        }
-
-        String[] fileNames = commandLine.getArgs();
-        if ((outputFormat == null && fileNames.length != 2) || fileNames.length < 1) {
-            String syntax = "java -jar jodconverter-core.jar [options] input-file output-file\n"
-                    + "or [options] -o output-format input-file [input-file...]";
-            HelpFormatter helpFormatter = new HelpFormatter();
-            helpFormatter.printHelp(syntax, OPTIONS);
-//            System.exit(STATUS_INVALID_ARGUMENTS);
-        }
-
-        DocumentFormatRegistry registry;
-        if (commandLine.hasOption(OPTION_REGISTRY.getOpt())) {
-            File registryFile = new File(commandLine.getOptionValue(OPTION_REGISTRY.getOpt()));
-            registry = new JsonDocumentFormatRegistry(FileUtils.readFileToString(registryFile));
-        } else {
-            registry = new DefaultDocumentFormatRegistry();
-        }
-
-        DefaultOfficeManagerConfiguration configuration = new DefaultOfficeManagerConfiguration();
-        configuration.setPortNumber(port);
-        if (commandLine.hasOption(OPTION_TIMEOUT.getOpt())) {
-            int timeout = Integer.parseInt(commandLine.getOptionValue(OPTION_TIMEOUT.getOpt()));
-            configuration.setTaskExecutionTimeout(timeout * 1000);
-        }
-        if (commandLine.hasOption(OPTION_USER_PROFILE.getOpt())) {
-            String templateProfileDir = commandLine.getOptionValue(OPTION_USER_PROFILE.getOpt());
-            configuration.setTemplateProfileDir(new File(templateProfileDir));
-        }
-
-        OfficeManager officeManager = configuration.buildOfficeManager();
-        officeManager.start();
-        OfficeDocumentConverter converter = new OfficeDocumentConverter(officeManager, registry);
-        try {
-            if (outputFormat == null) {
-                File inputFile = new File(fileNames[0]);
-                File outputFile = new File(fileNames[1]);
-                converter.convert(inputFile, outputFile);
-            } else {
-                for (int i = 0; i < fileNames.length; i++) {
-                    File inputFile = new File(fileNames[i]);
-                    String outputName = FilenameUtils.getBaseName(fileNames[i]) + "." + outputFormat;
-                    File outputFile = new File(FilenameUtils.getFullPath(fileNames[i]) + outputName);
-                    converter.convert(inputFile, outputFile);
-                }
-            }
-        } finally {
-            officeManager.stop();
-        }
-    }
-    
+	
+	public static final int STATUS_OK = 0;
+	
+	public static final int STATUS_MISSING_INPUT_FILE = 1;
+	
+	public static final int STATUS_INVALID_ARGUMENTS = 255;
+	
+	private static final Option OPTION_OUTPUT_FORMAT = new Option("o", "output-format", true, "output format (e.g. pdf)");
+	
+	private static final Option OPTION_PORT = new Option("p", "port", true, "office socket port (optional; defaults to 2002)");
+	
+	private static final Option OPTION_REGISTRY = new Option("r", "registry", true, "document formats registry configuration file (optional)");
+	
+	private static final Option OPTION_TIMEOUT = new Option("t", "timeout", true, "maximum conversion time in seconds (optional; defaults to 120)");
+	
+	private static final Option OPTION_USER_PROFILE = new Option("u", "user-profile", true, "use settings from the given user installation dir (optional)");
+	
+	private static final Options OPTIONS = initOptions();
+	
+	private static final int DEFAULT_OFFICE_PORT = 2002;
+	
+	private static Options initOptions() {
+		Options options = new Options();
+		options.addOption(OPTION_OUTPUT_FORMAT);
+		options.addOption(OPTION_PORT);
+		options.addOption(OPTION_REGISTRY);
+		options.addOption(OPTION_TIMEOUT);
+		options.addOption(OPTION_USER_PROFILE);
+		return options;
+	}
+	
+	public static void main(String[] arguments) throws ParseException, JSONException, IOException {
+		CommandLineParser commandLineParser = new PosixParser();
+		CommandLine commandLine = commandLineParser.parse(OPTIONS, arguments);
+		
+		String outputFormat = null;
+		if (commandLine.hasOption(OPTION_OUTPUT_FORMAT.getOpt())) {
+			outputFormat = commandLine.getOptionValue(OPTION_OUTPUT_FORMAT.getOpt());
+		}
+		
+		int port = DEFAULT_OFFICE_PORT;
+		if (commandLine.hasOption(OPTION_PORT.getOpt())) {
+			port = Integer.parseInt(commandLine.getOptionValue(OPTION_PORT.getOpt()));
+		}
+		
+		String[] fileNames = commandLine.getArgs();
+		if ((outputFormat == null && fileNames.length != 2) || fileNames.length < 1) {
+			String syntax = "java -jar jodconverter-core.jar [options] input-file output-file\n"
+					+ "or [options] -o output-format input-file [input-file...]";
+			HelpFormatter helpFormatter = new HelpFormatter();
+			helpFormatter.printHelp(syntax, OPTIONS);
+			// System.exit(STATUS_INVALID_ARGUMENTS);
+		}
+		
+		DocumentFormatRegistry registry;
+		if (commandLine.hasOption(OPTION_REGISTRY.getOpt())) {
+			File registryFile = new File(commandLine.getOptionValue(OPTION_REGISTRY.getOpt()));
+			registry = new JsonDocumentFormatRegistry(FileUtils.readFileToString(registryFile));
+		}
+		else {
+			registry = new DefaultDocumentFormatRegistry();
+		}
+		
+		DefaultOfficeManagerConfiguration configuration = new DefaultOfficeManagerConfiguration();
+		configuration.setPortNumber(port);
+		if (commandLine.hasOption(OPTION_TIMEOUT.getOpt())) {
+			int timeout = Integer.parseInt(commandLine.getOptionValue(OPTION_TIMEOUT.getOpt()));
+			configuration.setTaskExecutionTimeout(timeout * 1000);
+		}
+		if (commandLine.hasOption(OPTION_USER_PROFILE.getOpt())) {
+			String templateProfileDir = commandLine.getOptionValue(OPTION_USER_PROFILE.getOpt());
+			configuration.setTemplateProfileDir(new File(templateProfileDir));
+		}
+		
+		OfficeManager officeManager = configuration.buildOfficeManager();
+		officeManager.start();
+		OfficeDocumentConverter converter = new OfficeDocumentConverter(officeManager, registry);
+		try {
+			if (outputFormat == null) {
+				File inputFile = new File(fileNames[0]);
+				File outputFile = new File(fileNames[1]);
+				converter.convert(inputFile, outputFile);
+			}
+			else {
+				for (int i = 0; i < fileNames.length; i++) {
+					File inputFile = new File(fileNames[i]);
+					String outputName = FilenameUtils.getBaseName(fileNames[i]) + "." + outputFormat;
+					File outputFile = new File(FilenameUtils.getFullPath(fileNames[i]) + outputName);
+					converter.convert(inputFile, outputFile);
+				}
+			}
+		}
+		finally {
+			officeManager.stop();
+		}
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/OfficeDocumentUtils.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/OfficeDocumentUtils.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/OfficeDocumentUtils.java	(revision 2406)
@@ -17,31 +17,34 @@
 import org.artofsolving.jodconverter.document.DocumentFamily;
 import org.artofsolving.jodconverter.office.OfficeException;
 
-
 import com.sun.star.lang.XComponent;
 import com.sun.star.lang.XServiceInfo;
 
 class OfficeDocumentUtils {
-
-    private OfficeDocumentUtils() {
-        throw new AssertionError("utility class must not be instantiated");
-    }
-
-    public static DocumentFamily getDocumentFamily(XComponent document) throws OfficeException {
-        XServiceInfo serviceInfo = cast(XServiceInfo.class, document);
-        if (serviceInfo.supportsService("com.sun.star.text.GenericTextDocument")) {
-            // NOTE: a GenericTextDocument is either a TextDocument, a WebDocument, or a GlobalDocument
-            // but this further distinction doesn't seem to matter for conversions
-            return DocumentFamily.TEXT;
-        } else if (serviceInfo.supportsService("com.sun.star.sheet.SpreadsheetDocument")) {
-            return DocumentFamily.SPREADSHEET;
-        } else if (serviceInfo.supportsService("com.sun.star.presentation.PresentationDocument")) {
-            return DocumentFamily.PRESENTATION;
-        } else if (serviceInfo.supportsService("com.sun.star.drawing.DrawingDocument")) {
-            return DocumentFamily.DRAWING;
-        } else {
-            throw new OfficeException("document of unknown family: " + serviceInfo.getImplementationName());
-        }
-    }
-
+	
+	private OfficeDocumentUtils() {
+		throw new AssertionError("utility class must not be instantiated");
+	}
+	
+	public static DocumentFamily getDocumentFamily(XComponent document) throws OfficeException {
+		XServiceInfo serviceInfo = cast(XServiceInfo.class, document);
+		if (serviceInfo.supportsService("com.sun.star.text.GenericTextDocument")) {
+			// NOTE: a GenericTextDocument is either a TextDocument, a WebDocument, or a GlobalDocument
+			// but this further distinction doesn't seem to matter for conversions
+			return DocumentFamily.TEXT;
+		}
+		else if (serviceInfo.supportsService("com.sun.star.sheet.SpreadsheetDocument")) {
+			return DocumentFamily.SPREADSHEET;
+		}
+		else if (serviceInfo.supportsService("com.sun.star.presentation.PresentationDocument")) {
+			return DocumentFamily.PRESENTATION;
+		}
+		else if (serviceInfo.supportsService("com.sun.star.drawing.DrawingDocument")) {
+			return DocumentFamily.DRAWING;
+		}
+		else {
+			throw new OfficeException("document of unknown family: " + serviceInfo.getImplementationName());
+		}
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/SuspendableThreadPoolExecutor.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/SuspendableThreadPoolExecutor.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/SuspendableThreadPoolExecutor.java	(revision 2406)
@@ -20,40 +20,45 @@
 import java.util.concurrent.locks.ReentrantLock;
 
 class SuspendableThreadPoolExecutor extends ThreadPoolExecutor {
-
-    private boolean available = false;
-    private ReentrantLock suspendLock = new ReentrantLock();
-    private Condition availableCondition = suspendLock.newCondition();
-
-    public SuspendableThreadPoolExecutor(ThreadFactory threadFactory) {
-        super(1, 1, 0L, TimeUnit.MILLISECONDS, new LinkedBlockingQueue<Runnable>(), threadFactory);
-    }
-
-    @Override
-    protected void beforeExecute(Thread thread, Runnable task) {
-        super.beforeExecute(thread, task);
-        suspendLock.lock();
-        try {
-            while (!available) {
-                availableCondition.await();
-            }
-        } catch (InterruptedException interruptedException) {
-            thread.interrupt();
-        } finally {
-            suspendLock.unlock();
-        }
-    }
-
-    public void setAvailable(boolean available) {
-        suspendLock.lock();
-        try {
-            this.available = available;
-            if (available) {
-                availableCondition.signalAll();
-            }
-        } finally {
-            suspendLock.unlock();
-        }
-    }
-
+	
+	private boolean available = false;
+	
+	private ReentrantLock suspendLock = new ReentrantLock();
+	
+	private Condition availableCondition = suspendLock.newCondition();
+	
+	public SuspendableThreadPoolExecutor(ThreadFactory threadFactory) {
+		super(1, 1, 0L, TimeUnit.MILLISECONDS, new LinkedBlockingQueue<Runnable>(), threadFactory);
+	}
+	
+	@Override
+	protected void beforeExecute(Thread thread, Runnable task) {
+		super.beforeExecute(thread, task);
+		suspendLock.lock();
+		try {
+			while (!available) {
+				availableCondition.await();
+			}
+		}
+		catch (InterruptedException interruptedException) {
+			thread.interrupt();
+		}
+		finally {
+			suspendLock.unlock();
+		}
+	}
+	
+	public void setAvailable(boolean available) {
+		suspendLock.lock();
+		try {
+			this.available = available;
+			if (available) {
+				availableCondition.signalAll();
+			}
+		}
+		finally {
+			suspendLock.unlock();
+		}
+	}
+	
 }
